package de.ozgcloud.admin.reporting;

import static de.ozgcloud.admin.reporting.AggregationMappingTestFactory.*;

import de.ozgcloud.admin.reporting.ReportingAggregationManagerSettingDto.AggregationMappingDto;
import de.ozgcloud.admin.reporting.ReportingAggregationManagerSettingDto.FieldMappingDto;
import de.ozgcloud.admin.reporting.ReportingAggregationManagerSettingDto.FormIdentifierDto;

public class AggregationMappingDtoTestFactory {

	public static final FormIdentifierDto FORM_IDENTIFIER = FormIdentifierDto.builder().formId(FORM_ID).formEngineName(FORM_ENGINE_NAME).build();

	public static AggregationMappingDto create() {
		return createBuilder().build();
	}

	public static AggregationMappingDto.AggregationMappingDtoBuilder createBuilder() {
		return AggregationMappingDto.builder()
				.formIdentifier(FORM_IDENTIFIER)
				.fieldMapping(FieldMappingDto.builder().sourcePath(SOURCE_PATH).targetPath(TARGET_PATH).build());
	}
}
